Skip to main content
GET
/
v0
/
archives
/
collections
/
{cid}
Get a collection
curl --request GET \
  --url https://api.pixxel.space/v0/archives/collections/{cid} \
  --header 'Authorization: <api-key>'
{
  "created_at": "2023-08-06T20:46:56.815552Z",
  "description": "A collection description",
  "extent": {
    "spatial": {
      "bbox": [
        [
          123
        ]
      ]
    },
    "temporal": {
      "interval": [
        [
          "<string>"
        ]
      ]
    }
  },
  "id": "pixxel-dd2",
  "license": "proprietary",
  "links": [
    {
      "href": "https://example.com",
      "rel": "self",
      "title": "Example Link Title",
      "type": "application/json"
    }
  ],
  "providers": [
    {
      "description": "Pixxel is a space data company",
      "name": "Pixxel",
      "roles": [
        "producer"
      ],
      "url": "https://pixxel.space"
    }
  ],
  "stac_extensions": "<unknown>",
  "stac_version": "0.1.0",
  "summaries": "<unknown>",
  "title": "Pixxel-DD01",
  "type": "Collection",
  "updated_at": "2023-08-06T20:46:56.815552Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.pixxel.space/llms.txt

Use this file to discover all available pages before exploring further.

πŸ“š View developer guide to learn more

Authorizations

Authorization
string
header
required

Path Parameters

cid
string
required

Collection ID

Response

OK

created_at
string
Example:

"2023-08-06T20:46:56.815552Z"

description
string
Example:

"A collection description"

extent
object
id
string
Example:

"pixxel-dd2"

license
string
Example:

"proprietary"

providers
object[]
stac_extensions
any
stac_version
string
Example:

"0.1.0"

summaries
any
title
string
Example:

"Pixxel-DD01"

type
string
Example:

"Collection"

updated_at
string
Example:

"2023-08-06T20:46:56.815552Z"